cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/custom_objects" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object": {
"name": "service_contract",
"use_in": "ACCOUNT",
"relation": "ONE_TO_MANY"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_custom_object(
{
"custom_object": {
"name": "service_contract",
"use_in": "ACCOUNT",
"relation": "ONE_TO_MANY",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsCustomObject({
custom_object: {name: 'service_contract', use_in: 'ACCOUNT', relation: 'ONE_TO_MANY'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsCustomObject([
'custom_object' => [
'name' => 'service_contract',
'use_in' => 'ACCOUNT',
'relation' => 'ONE_TO_MANY',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjects> response = client.settings().createSettingsCustomObject(
Map.of(
"custom_object", Map.of(
"name", "service_contract",
"use_in", "ACCOUNT",
"relation", "ONE_TO_MANY")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsCustomObjectAsync(new Dictionary<string, object?>
{
["custom_object"] = new Dictionary<string, object?>
{
["name"] = "service_contract",
["use_in"] = "ACCOUNT",
["relation"] = "ONE_TO_MANY",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsCustomObject({
'custom_object': {
'name': 'service_contract',
'use_in': 'ACCOUNT',
'relation': 'ONE_TO_MANY',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsCustomObject(context.Background(), map[string]any{
"custom_object": map[string]any{
"name": "service_contract",
"use_in": "ACCOUNT",
"relation": "ONE_TO_MANY",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}Instance settings
Create a custom object in settings
Creates a custom object and returns it under custom_object.
POST
/
settings
/
custom_objects
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/custom_objects" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object": {
"name": "service_contract",
"use_in": "ACCOUNT",
"relation": "ONE_TO_MANY"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_custom_object(
{
"custom_object": {
"name": "service_contract",
"use_in": "ACCOUNT",
"relation": "ONE_TO_MANY",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsCustomObject({
custom_object: {name: 'service_contract', use_in: 'ACCOUNT', relation: 'ONE_TO_MANY'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsCustomObject([
'custom_object' => [
'name' => 'service_contract',
'use_in' => 'ACCOUNT',
'relation' => 'ONE_TO_MANY',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjects> response = client.settings().createSettingsCustomObject(
Map.of(
"custom_object", Map.of(
"name", "service_contract",
"use_in", "ACCOUNT",
"relation", "ONE_TO_MANY")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsCustomObjectAsync(new Dictionary<string, object?>
{
["custom_object"] = new Dictionary<string, object?>
{
["name"] = "service_contract",
["use_in"] = "ACCOUNT",
["relation"] = "ONE_TO_MANY",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsCustomObject({
'custom_object': {
'name': 'service_contract',
'use_in': 'ACCOUNT',
'relation': 'ONE_TO_MANY',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsCustomObject(context.Background(), map[string]any{
"custom_object": map[string]any{
"name": "service_contract",
"use_in": "ACCOUNT",
"relation": "ONE_TO_MANY",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}Send the new custom object under
custom_object, with a name written as an identifier such as service_contract, and where it is used (use_in) and its relation. Read the new custom object with Retrieve a custom object.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new custom object, under custom_object.
Show child attributes
Show child attributes